org.richfaces.validator

## Class FacesServiceBase<T>

- java.lang.Object
- - org.richfaces.validator.FacesServiceBase<T>

- Direct Known Subclasses:
    ConverterServiceImpl, FacesValidatorServiceImpl

      public abstract class FacesServiceBase<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacesServiceBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillParameters(BaseFacesObjectDescriptor<T> descriptor, T component)`
    `javax.faces.application.FacesMessage` | `getMessage(javax.faces.context.FacesContext context, T component, javax.faces.component.EditableValueHolder input, String msg)` Creates message for converter, using current locale.
    `protected abstract String` | `getMessageId(T component)`
    `protected void` | `setLabelParameter(javax.faces.component.EditableValueHolder input, FacesValidatorDescriptor descriptor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacesServiceBase

          public FacesServiceBase()

  - ### Method Detail

    - #### getMessageId

          protected abstract String getMessageId(T component)

    - #### fillParameters

          protected void fillParameters(BaseFacesObjectDescriptor<T> descriptor,
                                        T component)

    - #### getMessage

          public javax.faces.application.FacesMessage getMessage(javax.faces.context.FacesContext context,
                                                                 T component,
                                                                 javax.faces.component.EditableValueHolder input,
                                                                 String msg)

      Creates message for converter, using current locale.
      Parameters:
        `context` -
        `component` -
        `input` - TODO
        `msg` -

    - #### setLabelParameter

          protected void setLabelParameter(javax.faces.component.EditableValueHolder input,
                                           FacesValidatorDescriptor descriptor)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.